%define upstream_name    Test-Kwalitee-Extra
%define upstream_version v0.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Run Kwalitee tests including optional indicators, especially, prereq_matches_use
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MetaCPAN::API::Tiny)
BuildRequires: perl(Module::CPANTS::Analyse)
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Extract::Namespaces)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch: noarch

%description
http://cpants.cpanauthors.org/ checks Kwalitee indicators, which is not
quality but automatically-measurable indicators how good your distribution
is. the Module::CPANTS::Analyse manpage calcluates Kwalitee but it is not
directly applicable to your module test. CPAN has already had the
Test::Kwalitee manpage for the test module of Kwalitee. It is, however,
impossible to calculate 'prereq_matches_use' indicator, because dependent
module the Module::CPANTS::Analyse manpage itself cannot calculate
'prereq_matches_use' indicator. It is marked as 'needs_db' which means
pre-calculated module database is necessary, but only limited information
is needed to calculate the indicator. This module calculate
'prereq_matches_use' to query needed information to https://metacpan.org/
online.

For available indicators, see the /INDICATORS manpage section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.1-4.mga6
+ Revision: 1034306
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.3.1-3.mga6
+ Revision: 971635
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.3.1-2.mga6
+ Revision: 892173
- BR perl(Module::Pluggable)

  + shlomif <shlomif>
    - New version v0.3.1

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 745104
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 664786
- update to v0.3.0

* Mon Apr 21 2014 shlomif <shlomif> 0.2.1-1.mga5
+ Revision: 617270
- imported package perl-Test-Kwalitee-Extra


* Mon Apr 21 2014 cpan2dist v0.2.1-1mga
- initial mageia release, generated with cpan2dist
